org.apache.jmeter.protocol.http.control.gui

## Class GraphQLHTTPSamplerGui

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.apache.jmeter.gui.AbstractJMeterGuiComponent
          - - org.apache.jmeter.samplers.gui.AbstractSamplerGui
            - - org.apache.jmeter.protocol.http.control.gui.HttpTestSampleGui
              - - org.apache.jmeter.protocol.http.control.gui.GraphQLHTTPSamplerGui

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, ClearGui, JMeterGUIComponent, Printable

    public class GraphQLHTTPSamplerGui
    extends HttpTestSampleGui

GraphQL HTTP Sampler GUI which extends `HttpTestSampleGui` in order to provide more convenient UI elements for GraphQL query, variables and operationName.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JPanel

`JPanel.AccessibleJPanel`

### Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

### Field Summary

### Fields inherited from class org.apache.jmeter.gui.AbstractJMeterGuiComponent

`namePanel`

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`GraphQLHTTPSamplerGui()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected JPanel` `createEmbeddedRsrcPanel()`
`protected UrlConfigGui` `createUrlConfigGui()` Create a `UrlConfigGui` which is used as the Basic tab in the parameters configuration tabstrip.
`String` `getDocAnchor()` Compute Anchor value to find reference in documentation for a particular component
`String` `getStaticLabel()` Get the component's label.

### Methods inherited from class org.apache.jmeter.protocol.http.control.gui.HttpTestSampleGui

`clearGui, configure, createOptionalTasksPanel, createSourceAddrPanel, createTabbedConfigPane, createTestElement, getImplementationPanel, getLabelResource, getPreferredSize, getProxyServerPanel, modifyTestElement`

### Methods inherited from class org.apache.jmeter.samplers.gui.AbstractSamplerGui

`createPopupMenu, getMenuCategories`

### Methods inherited from class org.apache.jmeter.gui.AbstractJMeterGuiComponent

`configureTestElement, createTitleLabel, getComment, getName, getNamePanel, getPrintableComponent, isEnabled, makeBorder, makeScrollPane, makeScrollPane, makeTitlePanel, setComment, setEnabled, setName, wrapTitlePanel`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.gui.JMeterGUIComponent

`canBeAdded`

### Constructor Detail

#### GraphQLHTTPSamplerGui

    public GraphQLHTTPSamplerGui()

### Method Detail

#### getStaticLabel

    public String getStaticLabel()

Description copied from interface: `JMeterGUIComponent`
Get the component's label. This label is used in drop down lists that give the user the option of choosing one type of component in a list of many. It should therefore be a descriptive name for the end user to see. It must be unique to the class. It is also used by Help to find the appropriate location in the documentation. Normally getLabelResource() should be overridden instead of this method; the definition of this method in AbstractJMeterGuiComponent is intended for general use.

Specified by:
  `getStaticLabel` in interface `JMeterGUIComponent`
Overrides:
  `getStaticLabel` in class `AbstractJMeterGuiComponent`
Returns:
  GUI label for the component.
See Also:
  `JMeterGUIComponent.getLabelResource()`

#### getDocAnchor

    public String getDocAnchor()

Description copied from class: `AbstractJMeterGuiComponent`
Compute Anchor value to find reference in documentation for a particular component

Specified by:
  `getDocAnchor` in interface `JMeterGUIComponent`
Overrides:
  `getDocAnchor` in class `AbstractJMeterGuiComponent`
Returns:
  String anchor

#### createEmbeddedRsrcPanel

    protected JPanel createEmbeddedRsrcPanel()

Overridden to hide the HTML embedded resource handling section as GraphQL responses are always in JSON.

Overrides:
  `createEmbeddedRsrcPanel` in class `HttpTestSampleGui`

#### createUrlConfigGui

    protected UrlConfigGui createUrlConfigGui()

Create a `UrlConfigGui` which is used as the Basic tab in the parameters configuration tabstrip.

Overridden to create a `GraphQLUrlConfigGui` which extends `UrlConfigGui` for GraphQL specific UI elements.

Overrides:
  `createUrlConfigGui` in class `HttpTestSampleGui`
Returns:
  a `UrlConfigGui` which is used as the Basic tab